using System;
using System.Data;

namespace DataGridComboBoxTest
{
	public class Helper
	{
		public Helper()	{}

		private DataSet dsOrders;

		public DataSet DS {
			get {return dsOrders;}
			set {dsOrders = value;}
		}

		public void BuildDataSet() {
			#region DataTable Orders
			DataTable dtOrders = new DataTable();
			DataColumn dcOrder_OrderID = new DataColumn("OrderID");
			DataColumn dcOrder_BookID = new DataColumn("BookID");
			DataColumn dcOrder_Number = new DataColumn("Number");
			dtOrders.Columns.Add(dcOrder_OrderID);
			dtOrders.Columns.Add(dcOrder_BookID);
			dtOrders.Columns.Add(dcOrder_Number);
			#endregion

			#region DataTable Books
			DataTable dtBooks = new DataTable();
			DataColumn dcBook_BookID = new DataColumn("BookID");
			DataColumn dcBook_Name = new DataColumn("Name");
			dtBooks.Columns.Add(dcBook_BookID);
			dtBooks.Columns.Add(dcBook_Name);
			#endregion

			#region Populate DataTable Books
			DataRow drBook;
			
			drBook = dtBooks.NewRow();
			drBook["BookID"] = 1;
			drBook["Name"] = "Learning ASP.Net";
			dtBooks.Rows.Add(drBook);

			drBook = dtBooks.NewRow();
			drBook["BookID"] = 2;
			drBook["Name"] = "Advanced OS";
			dtBooks.Rows.Add(drBook);

			drBook = dtBooks.NewRow();
			drBook["BookID"] = 3;
			drBook["Name"] = "Introduction to C++";
			dtBooks.Rows.Add(drBook);
			#endregion

			#region Populate DataTable Orders
			DataRow drOrder;
			
			drOrder = dtOrders.NewRow();
			drOrder["OrderID"] = 1;
			drOrder["BookID"] = 3;
			drOrder["Number"] = 11;
			dtOrders.Rows.Add(drOrder);

			drOrder = dtOrders.NewRow();
			drOrder["OrderID"] = 2;
			drOrder["BookID"] = 1;
			drOrder["Number"] = 1;
			dtOrders.Rows.Add(drOrder);

			drOrder = dtOrders.NewRow();
			drOrder["OrderID"] = 3;
			drOrder["BookID"] = 1;
			drOrder["Number"] = 111;
			dtOrders.Rows.Add(drOrder);

			drOrder = dtOrders.NewRow();
			drOrder["OrderID"] = 4;
			drOrder["BookID"] = 2;
			drOrder["Number"] = 5;
			dtOrders.Rows.Add(drOrder);

			drOrder = dtOrders.NewRow();
			drOrder["OrderID"] = 5;
			drOrder["BookID"] = 3;
			drOrder["Number"] = 20;
			dtOrders.Rows.Add(drOrder);

			drOrder = dtOrders.NewRow();
			drOrder["OrderID"] = 6;
			drOrder["BookID"] = 1;
			drOrder["Number"] = 9;
			dtOrders.Rows.Add(drOrder);
			#endregion
	
			dsOrders = new DataSet();
			dsOrders.Tables.Add(dtBooks);
			dsOrders.Tables.Add(dtOrders);
			dtBooks.AcceptChanges();
			dtOrders.AcceptChanges();
		}
	}
}
